Index: EcnlProtoTool/trunk/ntshell/fatfs/sdfs.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/fatfs/sdfs.c	(revision 428)
+++ EcnlProtoTool/trunk/ntshell/fatfs/sdfs.c	(revision 429)
@@ -116,5 +116,5 @@
 #include "sdfs.h"
 //#include "mbed_debug.h"
-#include "wait_api.h"
+#include "mbed_wait_api.h"
 
 #define debug(str, ...)
Index: EcnlProtoTool/trunk/ntshell/src/mbedcall.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/src/mbedcall.c	(revision 428)
+++ EcnlProtoTool/trunk/ntshell/src/mbedcall.c	(revision 429)
@@ -59,5 +59,5 @@
 #include "serial_api.h"
 #include "us_ticker_api.h"
-#include "wait_api.h"
+#include "mbed_wait_api.h"
 #include "../../mbed_api/src/mbedcall.h"
 
Index: EcnlProtoTool/trunk/ntshell/src/syscall.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/src/syscall.c	(revision 428)
+++ EcnlProtoTool/trunk/ntshell/src/syscall.c	(revision 429)
@@ -61,27 +61,28 @@
 // https://os.mbed.com/users/dkato/code/FlashAccess/#652a093cf264
 void flash_access_cache_control(void) {
-    unsigned int assoc;
-
-    /* ==== Cleaning and invalidation of the L1 data cache ==== */
-    __v7_all_cache(2);
-    __DSB();
-
-    /* ==== Cleaning and invalidation of the L2 cache ==== */
-    if (PL310->AUX_CNT & (1<<16)) {
-        assoc = 16;
-    } else {
-        assoc =  8;
-    }
-    PL310->INV_WAY = (1 << assoc) - 1;
-    while(PL310->INV_WAY & ((1 << assoc) - 1)); // poll invalidate
-    PL310->CACHE_SYNC = 0x0;
-
-    /* ==== Invalidate all TLB entries ==== */
-    __ca9u_inv_tlb_all();
-
-    /* ==== Invalidate the L1 instruction cache ==== */
-    __v7_inv_icache_all();
-    __DSB();
-    __ISB();
+	unsigned int assoc;
+
+	/* ==== Cleaning and invalidation of the L1 data cache ==== */
+	L1C_CleanInvalidateDCacheAll();
+	__DSB();
+
+	/* ==== Cleaning and invalidation of the L2 cache ==== */
+	if (L2C_310->AUX_CNT & (1 << 16)) {
+		assoc = 16;
+	}
+	else {
+		assoc = 8;
+	}
+	L2C_310->INV_WAY = (1 << assoc) - 1;
+	while (L2C_310->INV_WAY & ((1 << assoc) - 1)); // poll invalidate
+	L2C_310->CACHE_SYNC = 0x0;
+
+	/* ==== Invalidate all TLB entries ==== */
+	MMU_InvalidateTLB();
+
+	/* ==== Invalidate the L1 instruction cache ==== */
+	L1C_InvalidateICacheAll();
+	__DSB();
+	__ISB();
 }
 
Index: EcnlProtoTool/trunk/ntshell/src/tinet_main.cfg
===================================================================
--- EcnlProtoTool/trunk/ntshell/src/tinet_main.cfg	(revision 428)
+++ EcnlProtoTool/trunk/ntshell/src/tinet_main.cfg	(revision 429)
@@ -43,6 +43,4 @@
 #include "main.h"
 
-INCLUDE("netinet/ip_igmp.cfg");
-
 /* DHCP クライアント */
 /*INCLUDE("netapp/tinet_dhcp4_cli.cfg");*/
